:root {
    --primary: #4caf50;
    --input: #2196f3;
    --output: #f44336;
    --consumer: #7032e4;
}

html {
    background:
        linear-gradient(-90deg, rgba(0, 0, 0, .05) 1px, transparent 1px),
        linear-gradient(rgba(0, 0, 0, .05) 1px, transparent 1px),
        linear-gradient(-90deg, rgba(0, 0, 0, .1) 1px, transparent 1px),
        linear-gradient(rgba(0, 0, 0, .1) 1px, transparent 1px),
        rgb(240, 240, 240);
    background-size:
        10px 10px,
        10px 10px,
        100px 100px,
        100px 100px
}

body {
    margin: 0;
}

.panel {
    position: absolute;
    background-color: white;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    min-width: max-content;
    min-height: 60px;
    border-radius: 5px;
    padding: 5px 5px 0px 5px;
    z-index: 5;
}

.selected {
    outline: 2.5px solid black;
}

.input-number {
    max-width: 80px;
    float: right;
    margin-left: 5px;
}

button,
input::file-selector-button {
    margin: 5px;
    padding: 5px;
    border: none;
    font-weight: 500;
    font-family: sans-serif;
    font-size: 0.875rem;
    border-radius: 5px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    cursor: pointer;
    text-transform: uppercase;
}

button:hover,
input::file-selector-button:hover {
    background-color: var(--primary);
    color: white;
}

.panel-title {
    background-color: var(--primary);
    border-radius: 5px 5px 0px 0px;
    color: white;
    min-width: 100px;
    min-height: 30px;
    text-align: center;
    line-height: 30px;
    margin: -5px -5px 5px -5px;
    padding: 0px 15px;
    cursor: move;
    font-family: sans-serif;
    font-weight: 500;
}

.menu-item {
    cursor: pointer;
    padding: 4px 4px 4px 4px;
    font-family: sans-serif;
}

.menu-item:hover {
    background-color: var(--primary);
    color: white;
}

.menu-item:hover * {
    /* background-color: unset; */
    color: black;
}

.input,
.output {
    border-radius: 100%;
    width: 15px;
    height: 15px;
    display: inline-block;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}

.buffer-producer,
.buffer-consumer {
    position: absolute;
    width: 13px;
    height: 13px;
    display: inline-block;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    transform: rotate(45deg);
}


.buffer-producer{
    background-color: var(--primary);
    right: -7.5px;
    cursor: grab;
}

.buffer-consumer {
    background-color: var(--consumer);
    left: -7.5px;
    cursor: pointer;
}

.setting {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5px;
    text-align: center;
    margin-left: 10px;
}

.settingText {
    margin: auto;
    font-family: sans-serif;
}

.input {
    position: absolute;
    left: -7.5px;
    background-color: var(--input);
    cursor: pointer;
}

.output {
    position: absolute;
    right: -7.5px;
    background-color: var(--output);
    cursor: grab;
}

#lines {
    width: 8192px;
    height: 4096px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 4;
    pointer-events: none;
}

audio {
    display: block;
}

.maximized {
    width: 100%;
    height: 100%;
}

.ontop {
    z-index: 99;
}

#fullscreen {
    position: fixed;
    width: 100vw;
    height: 100vh;
    z-index: 99;
    display: none;
}

#play {
    width: 100vw;
    height: 100vh;
    background-color: #00000080;
    position: fixed;
    z-index: 10;
    display: flex;
    cursor: pointer;
}

#startText {
    margin: auto;
    color: white;
    font-size: 10vw;
}

#context{
    width: 8192px;
    height: 4096px;
    z-index: -1;
}